Đến nội dung


Hình ảnh

cách pick block bằng lệnh


  • Please log in to reply
1 reply to this topic

#1 nnt12yeu

nnt12yeu

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 19 July 2008 - 06:54 PM

các bác cho em hỏi 1 vấn đề về block như sau
em tạo ra 1 block có tên là " xe hoi "
nếu như em mún đưa block này vào bản vẽ , em sẽ phải sử dụng lệnh insert
các bác có cách nào để có thể pick block trực tiếp bằng 1 lệnh (VD: command : XH .... enter ) ko???
  • 0

#2 cuongtk2

cuongtk2

    biết vẽ ellipse

  • Members
  • PipPip
  • 59 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 20 July 2008 - 03:07 PM

các bác cho em hỏi 1 vấn đề về block như sau
em tạo ra 1 block có tên là " xe hoi "
nếu như em mún đưa block này vào bản vẽ , em sẽ phải sử dụng lệnh insert
các bác có cách nào để có thể pick block trực tiếp bằng 1 lệnh (VD: command : XH .... enter ) ko???

Không khó khăn gì.
-Trước hết phải lưu block xe hơi ra 1 bản vẽ , có thể dùng lệnh wblock.
- Đoạn code này giúp bạn chèn block xe hơi vào bản vẽ:
(defun c:xh ( / p1)
(setq p1 (getpoint "\Diem chen:"))
(command "insert" "c:\\thuvien\\car\\xehoi.dwg" p1 "" "" )
)

"c:\\thuvien\\car\\xehoi.dwg" là đường dẫn tới thư mục đặt bản vẽ xe hơi.
  • 0